| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::GeolocationSettings Class Reference
Inheritance diagram for Digikam::GeolocationSettings:

## Signals
void | signalGeolocationSettingsChanged (const GeolocationSettingsContainer &current, const GeolocationSettingsContainer &previous)
void | signalSettingsChanged ()
void | signalSetupGeolocation (int tab)

## Public Member Functions
void | applySettingsToWidget (MapWidget *const widget)
| Apply the current settings to a previously registered MapWidget.
MarbleWidget * | mainMarbleWidget () const
| Return the first registered MarbleWidget instance stored in the collection.
void | openSetupGeolocation (SetupGeolocation::GeolocationTab tab)
void | registerWidget (MapWidget *const widget)
| Store one MapWidget instance in the collection.
void | reloadGoogleMaps ()
void | setSettings (const GeolocationSettingsContainer &settings)
| Sets the current Metadata settings and writes them to config.
GeolocationSettingsContainer | settings () const
| Returns the current Metadata settings.
void | unregisterWidget (MapWidget *const widget)
| Remove one MapWidget instance in the collection.

## Static Public Member Functions
static GeolocationSettings * | instance ()
| Global container for Metadata settings.

## Member Function Documentation

## ◆ instance()

GeolocationSettings * Digikam::GeolocationSettings::instance | ( |  | ) |
| static

All accessor methods are thread-safe.

## ◆ mainMarbleWidget()

MarbleWidget * Digikam::GeolocationSettings::mainMarbleWidget | ( |  | ) | const

If no valid instance is found, nullptr is returned.